package tracing

import (
	"context"
	"os"
	"testing"
)

func TestInit(t *testing.T) {

	ctx, cancel := context.WithCancel(context.Background())
	defer cancel()

	os.Setenv("OTEL_EXPORTER_OTLP_ENDPOINT", "localhost")

	shutdownFn, err := InitTracer(ctx, &TracerConfig{})
	if err != nil {
		t.FailNow()
	}
	defer shutdownFn(ctx)

}
